This page was not yet optimized for use on mobile devices.
Juniper Networks MX104 3D Universal Edge Router with the Multiservices MIC
Certificate details
| Certificate ID | #3423 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 31.03.2019 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode, installed, initialized and configured as specified in Section 1.2.1 and 6 of the Security Policy |
| Exceptions |
|
| Description | MX104 3D Universal Edge router is a modular, highly redundant, mobile back haul optimized full featured MX series platform built for space and power constrained service provider and enterprise facilities. Multiservices MIC supports Layer 3 services such as stateful firewall, NAT, IPsec, active flow monitoring and RPM. |
| Version (Hardware) | MX104 with RE-MX104 and MS-MIC-16G |
| Version (Firmware) | Junos OS 18.2R1 |
| Vendor | Juniper Networks, Inc. http://www.juniper.net/ |
| Lab | Acumen Security |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, CAST, Triple-DES, TDES, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-224, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, RSA 3072, RSA 4096, ECDH, ECDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-256, SHA-224, SHA-512, SHA-384, MD5Schemes
Key Exchange, Key AgreementProtocols
SSH, SSHv2, IKEv1, IKEv2, IKE, IPsec, VPNRandomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521Block cipher modes
ECB, CBC, CTR, GCMSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS 140, FIPS140-2, FIPS PUB 140-2, SP 800-56A, SP 800-135, SP 800-90A, SP 800-67, SP 800-133, RFC 7296, RFC4106, RFC 4253, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3423,
"dgst": "7312fa1be2ea65d6",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"RSA#3015",
"CVL#2029",
"DRBG#2249",
"DRBG#2247",
"RSA#3014",
"ECDSA#1517",
"AES#5607",
"#2028",
"#4500",
"#4501",
"ECDSA#1516",
"#3737",
"#2247",
"CVL#2031",
"KTS#2820",
"SHS#4502",
"CVL#2028",
"SHS#4500",
"#2249",
"DRBG#2248",
"KTS#3738",
"#5605",
"#2820",
"#5607",
"#3739",
"HMAC#3738",
"HMAC#3740",
"#2030",
"#5606",
"HMAC#3736",
"KTS#2819",
"AES#5606",
"Triple-DES#2819",
"SHS#4503",
"HMAC#3737",
"Triple-DES#2821",
"#2031",
"HMAC#3739",
"#3736",
"#4503",
"SHS#4501",
"KTS#3739",
"CVL#2030",
"AES#5605",
"Triple-DES#2820",
"SHS#4504"
]
},
"cpe_matches": {
"_type": "Set",
"elements": [
"cpe:2.3:h:juniper:mx104:-:*:*:*:*:*:*:*",
"cpe:2.3:h:juniper:mx10:-:*:*:*:*:*:*:*"
]
},
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"18.2"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 2
},
"ECDH": {
"ECDH": 15
},
"ECDSA": {
"ECDSA": 26
}
},
"FF": {
"DH": {
"DH": 9,
"Diffie-Hellman": 19
},
"DSA": {
"DSA": 2
}
},
"RSA": {
"RSA 2048": 13,
"RSA 3072": 3,
"RSA 4096": 3
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 13
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 1
},
"GCM": {
"GCM": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 5
}
},
"crypto_protocol": {
"IKE": {
"IKE": 14,
"IKEv1": 4,
"IKEv2": 4
},
"IPsec": {
"IPsec": 9
},
"SSH": {
"SSH": 35,
"SSHv2": 2
},
"VPN": {
"VPN": 1
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 3
},
"KEX": {
"Key Exchange": 2
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 56,
"P-384": 36,
"P-521": 14
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#2819": 2,
"#2820": 2,
"#3738": 4,
"#3739": 4,
"#5605": 2,
"#5606": 2
}
},
"fips_certlike": {
"Certlike": {
"AES (128": 2,
"AES CBC 128/192/256": 5,
"AES Cert. #5605": 2,
"AES Cert. #5606": 2,
"Cert. #3738 AES": 1,
"Cert. #3739 AES": 1,
"HMAC Cert. #3738": 8,
"HMAC Cert. #3739": 8,
"HMAC SHA- 256": 1,
"HMAC SHA-1": 1,
"HMAC SHA-256": 4,
"HMAC-SHA-1": 12,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 10,
"HMAC-SHA-384": 6,
"HMAC-SHA-512": 4,
"RSA 2048": 13,
"RSA 3072": 3,
"RSA 4096": 3,
"SHA 1, 256": 1,
"SHA 256": 11,
"SHA 384": 4,
"SHA 512": 2,
"SHA- 256": 1,
"SHA-1": 10,
"SHA-224": 2,
"SHA-256": 14,
"SHA-384": 6,
"SHA-512": 3
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 1
}
},
"SHA": {
"SHA1": {
"SHA-1": 11
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 21,
"SHA-384": 3,
"SHA-512": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 13
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-2": 8,
"FIPS PUB 140-2": 1,
"FIPS140-2": 1
},
"NIST": {
"SP 800-133": 1,
"SP 800-135": 2,
"SP 800-56A": 1,
"SP 800-67": 3,
"SP 800-90A": 6
},
"RFC": {
"RFC 4253": 1,
"RFC 7296": 1,
"RFC4106": 1
},
"X509": {
"X.509": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 25
},
"CAST": {
"CAST": 1
}
},
"DES": {
"3DES": {
"TDES": 2,
"Triple-DES": 16
}
},
"constructions": {
"MAC": {
"HMAC": 32,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 8,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"RSA#3015",
"CVL#2029",
"DRBG#2249",
"DRBG#2247",
"RSA#3014",
"ECDSA#1517",
"AES#5607",
"ECDSA#1516",
"CVL#2031",
"KTS#2820",
"SHS#4502",
"CVL#2028",
"SHS#4500",
"DRBG#2248",
"KTS#3738",
"HMAC#3738",
"HMAC#3740",
"HMAC#3736",
"KTS#2819",
"AES#5606",
"Triple-DES#2819",
"SHS#4503",
"HMAC#3737",
"Triple-DES#2821",
"HMAC#3739",
"SHS#4501",
"KTS#3739",
"CVL#2030",
"AES#5605",
"Triple-DES#2820",
"SHS#4504"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#2249",
"#2030",
"#3736",
"#2028",
"#4503",
"#4500",
"#4501",
"#5605",
"#3737",
"#5606",
"#2247",
"#2820",
"#5607",
"#3739",
"#2031"
]
},
"policy_metadata": {
"/Author": "Jennifer Brady",
"/CreationDate": "D:20190305110941-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Office 365",
"/ModDate": "D:20190305110941-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Office 365",
"/Subject": "FIPS 140-2 Security Policy Template",
"pdf_file_size_bytes": 847084,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.juniper.net/assets/us/en/local/pdf/datasheets/1000597-en.pdf",
"http://www.juniper.net/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "364a2db123e67bc0bc7a9e0db4121cfd5a9e03ab2c40d9aa36e09f8d07ef37e5",
"source_hash": "dee94ea10e5ec38dd6cd8f97a1e8b555cf77131933c6c89fbcc868b011e445f8",
"txt_hash": "a802f9c1a121c3f94b863b111effb04550eb8652a2f34631a3c441d59e20005d"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode, installed, initialized and configured as specified in Section 1.2.1 and 6 of the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPSConsolidatedMarch2019.pdf",
"date_sunset": null,
"description": "MX104 3D Universal Edge router is a modular, highly redundant, mobile back haul optimized full featured MX series platform built for space and power constrained service provider and enterprise facilities. Multiservices MIC supports Layer 3 services such as stateful firewall, NAT, IPsec, active flow monitoring and RPM.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Design Assurance: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "Junos OS 18.2R1",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": "MX104 with RE-MX104 and MS-MIC-16G",
"level": 1,
"mentioned_certs": {},
"module_name": "Juniper Networks MX104 3D Universal Edge Router with the Multiservices MIC",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2019-03-31",
"lab": "Acumen Security",
"validation_type": "Initial"
}
],
"vendor": "Juniper Networks, Inc.",
"vendor_url": "http://www.juniper.net/"
}
}